<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>IPL Data Project</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='style.css'>


</head>

<body>
    <h2>IPL Data Project </h2>
    <h3>Top 10 Economy Bowlers in year 2015 :- </h3>
    <table class="center">
        <tr>
            <th>Bowler</th>
            <th>Econonomy Rate</th>
        </tr>
        <tbody id="economy_rate">

        </tbody>
    </table>
    <h3>Extra runs conceded per team in the year 2016 :- </h3>
    <table class="center">
        <tr>
            <th>Team</th>
            <th>Extra Runs</th>
        </tr>
        <tbody id="extra_runs">

        </tbody>
    </table>
    <h3>Number of matches played per year for all the years :- </h3>
    <table class="center">
        <tr>
            <th>Year</th>
            <th>No. of Matches</th>
        </tr>
        <tbody id="match_per_year">

        </tbody>
    </table>
    <h3>Number of matches won per team per year in IPL :- </h3>
    <table class="center">
        <tr>

            <th>Team</th>
            <th>2008</th>
            <th>2009</th>
            <th>2010</th>
            <th>2011</th>
            <th>2012</th>
            <th>2013</th>
            <th>2014</th>
            <th>2015</th>
            <th>2016</th>
            <th>2017</th>


        </tr>
        <tbody id="matches_won_per_team_per_year">

        </tbody>
    </table>
    <h3>Highest number of time a player is dismissed by another player :- </h3>
    <table class="center">
        <tr>
            <th>Bowler</th>
            <th>Batsman</th>
            <th>Number of times dismissed</th>
        </tr>
        <tbody id="dismissed">

        </tbody>

    </table>
    <h3>Highest Player Of Match for each season :- </h3>
    <table class="center">
        <tr>
            <th>Season</th>
            <th>Player</th>
            <th>No. of times</th>
        </tr>
        <tbody id="player_of_match">

        </tbody>
    </table>
    <h3>Strike Rate of batsmen all seasons :- </h3>
    <table class="center">
        <tr>
            <th>
                Batsman
            </th>
            <th>2008</th>
            <th>2009</th>
            <th>2010</th>
            <th>2011</th>
            <th>2012</th>
            <th>2013</th>
            <th>2014</th>
            <th>2015</th>
            <th>2016</th>
            <th>2017</th>
        </tr>
        <tbody id="strike_rate">

        </tbody>
    </table>
    <h3>Super Over best Bowler :- </h3>
    <table class="center">
        <tr>
            <th>Bowler</th>
            <th>Economy Rate</th>

        </tr>
        <tbody id="super_over">

        </tbody>
    </table>
    <h3>Number of times teams won toss and also won match :- </h3>
    <table class="center">
        <tr>
            <th>Team</th>
            <th>No. of times</th>
        </tr>
        <tbody id="won_toss_match">

        </tbody>
    </table>
    <script>
        fetch('output/extra_runs.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                extra_runs(data);
            })
            .catch(function (err) {
                console.log('error: ' + err);
            });

        function extra_runs(data) {
            let table = document.getElementById("extra_runs");

            for (let i in data) {
                let val = `<tr>
                <td>${i}</td>
                <td>${data[i]}</td>
                </tr>`;
                table.innerHTML += val;
            }
        }

        fetch('output/match_per_year.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                match_per_year(data);
            })
            .catch(function (err) {
                console.log('error: ' + err);
            });

        function match_per_year(data) {
            let table = document.getElementById("match_per_year");

            for (let i in data) {
                let val = `<tr>
                <td>${i}</td>
                <td>${data[i]}</td>
                </tr>`;
                table.innerHTML += val;
            }
        }

        fetch('output/top_10_economy_bowler.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                economy_bowlers(data);
            })
            .catch(function (err) {
                console.log('error: ' + err);
            });

        function economy_bowlers(data) {
            let table = document.getElementById("economy_rate");
            for (let i in data) {

                let val = `<tr> 
                    <td> ${data[i]["bowler"]}</td> 
                    <td> ${data[i]["economy_rate"]}</td>
                    </tr>`;
                table.innerHTML += val;
            }
        }


        fetch('output/matches_won_per_team_per_year.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                match_won_team_per_year(data);
            })
            .catch(function (err) {
                console.log("error: " + err);
            });

        function match_won_team_per_year(data) {
            let table = document.getElementById("matches_won_per_team_per_year");

            for (let i in data) {
                let obj_year = {};
                for (let j = 2008; j <= 2017; j++) {
                    obj_year[j] = 0;
                }

                for (let j in data[i]) {
                    obj_year[j] = data[i][j];
                }
                let val = `<tr>
                    <td>${i}</td>
                    <td>${obj_year[2008]}</td>
                    <td>${obj_year[2009]}</td>
                    <td>${obj_year[2010]}</td>
                    <td>${obj_year[2011]}</td>
                    <td>${obj_year[2012]}</td>
                    <td>${obj_year[2013]}</td>
                    <td>${obj_year[2014]}</td>
                    <td>${obj_year[2015]}</td>
                    <td>${obj_year[2016]}</td>
                    <td>${obj_year[2017]}</td>
                    </tr>`;
                table.innerHTML += val;
            }
        }

        fetch('output/dismissed.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                dismissed(data);
            })
            .catch(function (err) {
                console.log("error: " + err);
            });

        function dismissed(data) {
            let table = document.getElementById("dismissed");
            let val = `<tr>
             <td> ${data[0]}</td> 
            <td> ${data[1]}</td> 
            <td> ${data[2]} </td>       
            </tr>`;
            table.innerHTML += val;
        }

        fetch('output/player_of_match_each_season.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                player_of_match(data);
            })
            .catch(function (err) {
                console.log("error : " + err);
            });
        function player_of_match(data) {
            let table = document.getElementById("player_of_match");
            for (let obj in data) {
                let other_obj = data[obj];
                let x = "";
                for (let temp in other_obj) {
                    x = temp;
                }
                let val = `<tr>
                    <td>${obj}</td>
                    <td>${x}</td>
                    <td>${other_obj[x]}</td>
                    </tr>`;
                table.innerHTML += val;
            }
        }

        fetch('output/strike_rate.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                strike_rate(data);
            })
            .catch(function (err) {
                console.log("error : " + err);
            });

        function strike_rate(data) {
            let table = document.getElementById("strike_rate");
            for (let sr in data) {
                let strike_r = {};
                for (let year = 2008; year <= 2017; year++) {
                    strike_r[year] = 'NA';
                }
                for (let s in data[sr]) {

                    strike_r[s] = data[sr][s]["strike_rate"];
                }
                let val = `<tr> 
                    <td>${sr}</td>
                    <td>${strike_r[2008]}</td>
                    <td>${strike_r[2009]}</td>
                    <td>${strike_r[2010]}</td>
                    <td>${strike_r[2011]}</td>
                    <td>${strike_r[2012]}</td>
                    <td>${strike_r[2013]}</td>
                    <td>${strike_r[2014]}</td>
                    <td>${strike_r[2015]}</td>
                    <td>${strike_r[2016]}</td>
                    <td>${strike_r[2017]}</td>
                    </tr>`;
                table.innerHTML += val;
            }
        }

        fetch('output/super_over_best_bowler.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                super_over(data);
            })
            .catch(function (err) {
                console.log("error : " + err);
            });

        function super_over(data) {
            let table = document.getElementById("super_over");
            let val = `<tr> 
                <td> ${data["bowler"]}</td>
                <td> ${data["economy_rate"]}</td>
                </tr>`;
            table.innerHTML += val;
        }

        fetch('output/won_toss_match.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (data) {
                toss_match(data);
            })
            .catch(function (err) {
                conosole.log("error : " + err);
            });

        function toss_match(data) {
            let table = document.getElementById("won_toss_match");
            for (let obj in data) {
                let val = `<tr>
                    <td>${obj}</td>
                    <td>${data[obj]}</td>
                    </tr>`;
                table.innerHTML += val;
            }
        }

    </script>

</body>

</html>